Page MenuHomePhabricator

ApiParse: Call to member function getModel() on non-object
Closed, ResolvedPublic

Description

Spotted in production with wmf.5:

[WUA67QpAIEEAABLUG44AAADP] /w/api.php?action=parse&prop=parsetree&maxlag=5&page=Git%2FReviewers&format=json   BadMethodCallException from line 461 of /srv/mediawiki/php-1.30.0-wmf.5/includes/api/ApiParse.php: Call to a member function getModel() on a non-object (null)

Here's the stacktrace:

#0 /srv/mediawiki/php-1.30.0-wmf.5/includes/api/ApiMain.php(1578): ApiParse->execute()
#1 /srv/mediawiki/php-1.30.0-wmf.5/includes/api/ApiMain.php(545): ApiMain->executeAction()
#2 /srv/mediawiki/php-1.30.0-wmf.5/includes/api/ApiMain.php(516): ApiMain->executeActionWithErrorHandling()
#3 /srv/mediawiki/php-1.30.0-wmf.5/api.php(83): ApiMain->execute()
#4 /srv/mediawiki/w/api.php(3): include(string)
#5 {main}

Details

Related Gerrit Patches:
mediawiki/core : masterApiParse: Fetch content with parsetree
mediawiki/core : wmf/1.30.0-wmf.5ApiParse: Fetch content with parsetree

Event Timeline

demon created this task.Jun 13 2017, 7:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2017, 7:37 PM

Change 358784 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] ApiParse: Fetch content with parsetree

https://gerrit.wikimedia.org/r/358784

Anomie claimed this task.Jun 13 2017, 7:44 PM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.

Change 358785 had a related patch set uploaded (by Chad; owner: Anomie):
[mediawiki/core@wmf/1.30.0-wmf.5] ApiParse: Fetch content with parsetree

https://gerrit.wikimedia.org/r/358785

Change 358785 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.5] ApiParse: Fetch content with parsetree

https://gerrit.wikimedia.org/r/358785

Change 358784 merged by jenkins-bot:
[mediawiki/core@master] ApiParse: Fetch content with parsetree

https://gerrit.wikimedia.org/r/358784

Mentioned in SAL (#wikimedia-operations) [2017-06-13T20:02:00Z] <demon@tin> Synchronized php-1.30.0-wmf.5/includes/api/ApiParse.php: T167826 (duration: 00m 44s)

demon closed this task as Resolved.Jun 13 2017, 8:03 PM

Thanks for the quick fix!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM